%global tarball xf86-input-libinput

Summary:	Xorg X11 libinput input driver
Name:		x11-driver-input-libinput
Group:		System/X11
Version:	1.4.0
Release:	%mkrel 1
URL:		http://www.github.com/whot/xf86-input-libinput/
License:	MIT
Source0:     ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.xz
BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(libinput) >= 0.21
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(xorg-server)
BuildRequires: x11-util-macros
BuildRequires: lib64xcvt-devel

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)
Requires: xkeyboard-config

%description
A generic input driver for the X.Org X11 X server based on libinput,
supporting all devices.

%package devel
Summary:	Xorg X11 libinput input driver devel files
Group:		Development/Libraries

%description devel
Xorg X11 libinput input driver development files.

%prep
%setup -q -n %{tarball}-%{version}
%autopatch -p1


%build
%configure2_5x --disable-static --disable-silent-rules
%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/X11/xorg.conf.d
rm -rf %{buildroot}%{_libdir}/xorg/modules/input/libinput_drv.la

%files 
%doc COPYING
%{_libdir}/xorg/modules/input/libinput_drv.so

#This conflicts with 10-evdev.conf and prevents mouse settings from working
%exclude %{_datadir}/X11/xorg.conf.d/40-libinput.conf

%{_mandir}/man4/libinput.4*

%files devel
%{_includedir}/xorg/libinput-properties.h
%{_libdir}/pkgconfig/xorg-libinput.pc

%changelog
* Fri Aug 25 2023 tex - 1.4.0-1pclos2023
- new version

* Wed Apr 05 2023 tex - 1.3.0-1pclos2023
- new version

* Fri Jan 28 2022 tex - 1.2.1-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.2.0-2pclos2022
- rebuild against updates

* Tue Sep 21 2021 tex - 1.2.0-1pclos2021
- new version

* Thu Jun 24 2021 tex - 1.1.0-1pclos2021
- new version

* Mon Jun 14 2021 tex - 1.0.1-1pclos2021
- new version
